﻿Imports System.Collections.ObjectModel

Namespace ViewModel

    Public Class MainVM
        Inherits ViewModelBase

        Public Sub New()
            WeekPlan = New ObservableCollection(Of WeekPlanVM)

            WeekPlan.Add(New WeekPlanVM() With {.Number = 1, .Workplace = "links", .Name1 = "Max Mustermann", .Cycle1 = "M1", .Name2 = "Erika Musterfrau", .Cycle2 = "A3"})
            WeekPlan.Add(New WeekPlanVM() With {.Number = 2, .Workplace = "hinten", .Name1 = "Hello", .Cycle1 = "N2", .Name2 = "World", .Cycle2 = "C3"})
            WeekPlan.Add(New WeekPlanVM() With {.Number = 3, .Workplace = "vorne", .Name1 = "Suzi Quatro", .Cycle1 = "H4", .Name2 = "Nobody", .Cycle2 = "X3"})
        End Sub


        Private _WeekPlan As ObservableCollection(Of WeekPlanVM)
        Public Property WeekPlan() As ObservableCollection(Of WeekPlanVM)
            Get
                Return _WeekPlan
            End Get
            Set(ByVal value As ObservableCollection(Of WeekPlanVM))
                _WeekPlan = value
                RaisePropertyChanged()
            End Set
        End Property

    End Class
End Namespace